################################################################################
#
# MOUNTD
#
################################################################################

MOUNTD_VERSION:= 2015.11.22

MOUNTD_SITE = $(TOPDIR)/../../src/3P/mountd/builders/cmake
MOUNTD_SITE_METHOD = local
MOUNTD_INSTALL_STAGING = YES

MOUNTD_DEPENDENCIES = libubox uci

MOUNTD_CONF = SRC_DIR=$(TOPDIR)/../..

MOUNTD_CONF_ENV = $(MOUNTD_CONF)
MOUNTD_MAKE_ENV = $(MOUNTD_CONF)
MOUNTD_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
